Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class JMSProcessingException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.JMSProcessingException`

All Implemented Interfaces:
  java.io.Serializable

public class JMSProcessingException
extends TopLinkException
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT`
`static int` | `MDB_ERROR_LOOKUP_SESSION_NAME_ENV`
`static int` | `MDB_FOUND_NO_SESSION`
`static int` | `NO_TOPIC_SET`

Constructor Summary
`JMSProcessingException(java.lang.String message, java.lang.Throwable exception)`

Method Summary
`static JMSProcessingException` | `buildDefault(java.lang.Throwable exception)`
`static JMSProcessingException` | `errorLookupSessionNameInCtx(java.lang.Throwable exception)`
`static JMSProcessingException` | `mdbFoundNoSession()`
`static JMSProcessingException` | `noTopicSet(java.lang.Throwable exception)`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final int DEFAULT

  See Also:
    Constant Field Values

### NO_TOPIC_SET

    public static final int NO_TOPIC_SET

  See Also:
    Constant Field Values

### MDB_ERROR_LOOKUP_SESSION_NAME_ENV

    public static final int MDB_ERROR_LOOKUP_SESSION_NAME_ENV

  See Also:
    Constant Field Values

### MDB_FOUND_NO_SESSION

    public static final int MDB_FOUND_NO_SESSION

  See Also:
    Constant Field Values

Constructor Detail

### JMSProcessingException

    public JMSProcessingException(java.lang.String message,
                                  java.lang.Throwable exception)

Method Detail

### buildDefault

    public static JMSProcessingException buildDefault(java.lang.Throwable exception)

### noTopicSet

    public static JMSProcessingException noTopicSet(java.lang.Throwable exception)

### errorLookupSessionNameInCtx

    public static JMSProcessingException errorLookupSessionNameInCtx(java.lang.Throwable exception)

### mdbFoundNoSession

    public static JMSProcessingException mdbFoundNoSession()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD